function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Subpixel_loc_0",
		requires =
		function ()
			if location == "Subpixel_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(830, 890, "Subpixels")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Subpixel_loc_1",
		requires =
		function ()
			if location == "Subpixel_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(990, 850, "Subpixels")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Subpixel_loc_2",
		requires =
		function ()
			if location == "Subpixel_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1940, 850, "Subpixels")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
